import { useObservableState } from '@equinor/fusion-observable/react';
import { useMemo } from 'react';
import { useFramework } from '../useFramework';
export const useCurrentApp = () => {
    const provider = useFramework().modules.app;
    if (!provider) {
        throw Error('Current framework does not have AppModule configured');
    }
    const currentApp = useObservableState(provider.current$);
    return {
        currentApp,
        setCurrentApp: useMemo(() => provider.setCurrentApp.bind(provider), [provider]),
        clearCurrentApp: useMemo(() => provider.clearCurrentApp.bind(provider), [provider]),
    };
};
export default useCurrentApp;
//# sourceMappingURL=useCurrentApp.js.map